Page MenuHomePhabricator

efl.ui: Efl.Ui.Theme_Apply_Result -> Efl.Ui.Theme_Apply_Error
ClosedPublic

Authored by zmike on Feb 28 2019, 11:26 AM.

Details

Summary

this swaps the values of "no error" and "error" in order to maintain
consistency with the rest of efl where the zero value means "no error"
Depends on D8060

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Feb 28 2019, 11:26 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Feb 28 2019, 11:26 AM
cedric added a comment.Mar 1 2019, 2:28 PM

I am now not so convinced of the naming here. This sounds like it should almost be an Eina.Error, but isn't.

zmike added a comment.Mar 1 2019, 3:19 PM

I am now not so convinced of the naming here. This sounds like it should almost be an Eina.Error, but isn't.

Good news! D8068

cedric accepted this revision.Mar 1 2019, 3:20 PM
In D8063#144965, @zmike wrote:

I am now not so convinced of the naming here. This sounds like it should almost be an Eina.Error, but isn't.

Good news! D8068

Oh, I somehow did think they were not related patch /o\

This revision is now accepted and ready to land.Mar 1 2019, 3:20 PM

I am now confused. If D8068 replaced Efl.Ui.Theme_Apply_Result with regular Eina_Error, then the patch discussed here should not be approved, it should be abandoned, right?

zmike added a comment.Mar 4 2019, 6:16 AM

I am now confused. If D8068 replaced Efl.Ui.Theme_Apply_Result with regular Eina_Error, then the patch discussed here should not be approved, it should be abandoned, right?

No, because prior to this patch a return of 0 meant failure and this is not consistent with eina_error usage where 0 means success.

This revision was automatically updated to reflect the committed changes.